﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.MaEnquiry>
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();
    string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
}
@{int i = 0;
  int count = 0;
  string bgcolor = "oddrow";
  
}
@foreach (var item in Model)
{
    bool execute = true;
    string enqstatus = "All";
    if (db.MaEnqFollow.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.NextDate).Count() > 0)
    {
        enqstatus = db.MaEnqFollow.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.Enqstatus).First();

    }
    if (@ViewBag.Enqst == "All")
    {
        execute = true;
    }
    else
    {
        if (@ViewBag.Enqst == enqstatus)
        {
            execute = true;
        }
        else
        {
            execute = false;
        }
    }





    if (execute)
    {
        if (i % 2 == 0)
        {
            bgcolor = "evenrow";
        }
        else
        {
            bgcolor = "oddrow";
        }
        i++;

        count++;
    <tr class="@bgcolor">
        <td>
            <input type="hidden" class="@i" value="@item.Id" />
            @Html.DisplayFor(modelItem => item.Id)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.FirstName)
            @Html.DisplayFor(modelItem => item.LastName)
        </td>
        <td>
            @{
        string enqab = "";
        if (item.EnquirySpkEng == true)
        {
            enqab = "Spoken English ";
        }
        if (item.EnquiryStyVisa == true)
        {
            enqab += "Study Visa ";
        }
        if (item.EnquiryIELGT == true)
        {
            enqab += "IELTS GT ";
        }

        if (item.EnquiryIELAC == true)
        {
            enqab += "IELTS AC";
        }
            }
            @enqab
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Mobile)
        </td>
        <td>
            @{
        string cdate = string.Format("{0:dd MMM, yyyy}", item.WalkInDate);
            }
            @cdate
        </td>
        @{if (db.MaEnqFollow.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.NextDate).Count() > 0)
          {
            <td>
                @{
              DateTime? dt = db.MaEnqFollow.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.NextDate).First();
              string nxtdate = string.Format("{0:dd MMM, yyyy}", dt);
                    @nxtdate
                }
            </td>
            <td width="100px" style="overflow: hidden">
                @{
              string rem = db.MaEnqFollow.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.Remarks).First();
                    @rem
                }
            </td>
            <td>
                @{
              string status = db.MaEnqFollow.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.Enqstatus).First();
                    @status
                }
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.User1.Fullname)
            </td>
            <td>
                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                @{if (utype == CommonUtil.UserTypeSuperAdmin)
                  {
                    @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaEnquiry", new { id = item.Id }, new { @class = "delete-link" }, null)
                  }
                }
                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                @*        @{ bool showenq = true;
                                   if (db.MaEnqFollow.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").Count() > 0)
                                   {
                                       string str = db.MaEnqFollow.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.Enqstatus).First();
                                       if (str == CommonUtil.CloseEnqFollow)
                                       {
                                           showenq = false;
                                       }
                                   }
                                }
                                @if (item.IsAdmission == false)
                                {
                                    //if (showenq == true)
                                    //{*@
                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_Create", "MaEnqFollow", new { id = item.Id, reftype = "Enquiry" }, new { @class = "editAcBtn" }, null)
                @*}  }*@
                @{
                                    
                  bool ielts = false;
                  if (item.EnquiryIELAC)
                  {
                      ielts = true;
                  }
                  else if (item.EnquiryIELGT)
                  {
                      ielts = true;
                  }
                  else if (item.EnquiryStyVisa)
                  {
                      ielts = true;
                  }

                  if (ielts)
                  {
                    @Html.ImageActionLink("../../Content/themes/base/images/add.png", "Add Highest Qualification", "CallHighest", new { id = item.Id }) 
                  }
                                    
                }
                @{
                       
                  if (item.IsAdmission == false)
                  {
                    @Html.ImageActionLink("../../Content/themes/base/images/Admission.png", "Move To Admission", "Create", "MaAdmission", new { id = item.Id }, null, null)
                  }
                                    
                }
            </td>
          }
        }
    </tr>
    }
}
@Content.Script("ChildAddEdit.js", Url)
